package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.entity.CourseHomework;
import com.ym.mec.biz.dal.entity.TeacherAttendance;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
public class TeacherSignOutDto {

    @ApiModelProperty(value = "教师签退信息")
    private TeacherAttendance teacherAttendanceInfo;

    @ApiModelProperty(value = "课后作业信息")
    private CourseHomework courseHomeworkInfo;

    @ApiModelProperty(value = "学员学习是否达标")
    private List<StudentStandardDto> studentStandardDtos;

    /**
     * 是否返回错误信息
     */
    private boolean notRturnErrorInfo;

    public List<StudentStandardDto> getStudentStandardDtos() {
        return studentStandardDtos;
    }

    public void setStudentStandardDtos(List<StudentStandardDto> studentStandardDtos) {
        this.studentStandardDtos = studentStandardDtos;
    }

    public boolean isNotRturnErrorInfo() {
        return notRturnErrorInfo;
    }

    public void setNotRturnErrorInfo(boolean notRturnErrorInfo) {
        this.notRturnErrorInfo = notRturnErrorInfo;
    }

    public TeacherAttendance getTeacherAttendanceInfo() {
        return teacherAttendanceInfo;
    }

    public void setTeacherAttendanceInfo(TeacherAttendance teacherAttendanceInfo) {
        this.teacherAttendanceInfo = teacherAttendanceInfo;
    }

    public CourseHomework getCourseHomeworkInfo() {
        return courseHomeworkInfo;
    }

    public void setCourseHomeworkInfo(CourseHomework courseHomeworkInfo) {
        this.courseHomeworkInfo = courseHomeworkInfo;
    }
}
